Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class TABLESWITCH

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.BranchInstruction
                  |
                  +--org.apache.bcel.generic.Select
                        |
                        +--org.apache.bcel.generic.TABLESWITCH

All Implemented Interfaces:
  java.lang.Cloneable, InstructionTargeter, java.io.Serializable, StackProducer, VariableLengthInstruction

public class TABLESWITCH
extends Select

TABLESWITCH - Switch within given range of values, i.e., low..high

Version:
  $Id: TABLESWITCH.java,v 1.1.1.1 2001/10/29 20:00:27 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  `SWITCH`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Select
`fixed_length, indices, match, match_length, padding, targets`

Fields inherited from class org.apache.bcel.generic.BranchInstruction
`index, position, target`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`TABLESWITCH(int[] match, InstructionHandle[] targets, InstructionHandle target)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`void` | `dump(java.io.DataOutputStream out)` Dump instruction as byte code to stream out.
`protected void` | `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (e.g. index) from file.

Methods inherited from class org.apache.bcel.generic.Select
`containsTarget, getIndices, getMatchs, getTargets, setTarget, toString, updatePosition, updateTarget`

Methods inherited from class org.apache.bcel.generic.BranchInstruction
`getIndex, getTarget, getTargetOffset, getTargetOffset, setTarget`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### TABLESWITCH

    public TABLESWITCH(int[] match,
                       InstructionHandle[] targets,
                       InstructionHandle target)

Parameters:
  `match` - sorted array of match values, match[0] must be low value, match[match_length - 1] high value
  `targets` - where to branch for matched values
  `target` - default branch

Method Detail

### dump

    public void dump(java.io.DataOutputStream out)
              throws java.io.IOException

  Dump instruction as byte code to stream out.

  Overrides:
    `dump` in class `Select`
  Parameters:
    `out` - Output stream
    `java.io.IOException`

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws java.io.IOException

  Read needed data (e.g. index) from file.

  Overrides:
    `initFromFile` in class `Select`
  Parameters:
    `bytes` - input stream
    `wide` - wide prefix?
    `java.io.IOException`
  See Also:
    `InstructionList`

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.